# Class SingleSignOnSessionKey

java.lang.Object
org.apache.catalina.authenticator.SingleSignOnSessionKey

All Implemented Interfaces:
  `Serializable`

public class SingleSignOnSessionKey extends Object implements Serializable
Key used by SSO to identify a session. This key is used rather than the actual session to facilitate the replication of the SSO information across a cluster where replicating the entire session would generate significant, unnecessary overhead.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleSignOnSessionKey(Session session)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getContextName()`
  `String`
  `getHostName()`
  `String`
  `getSessionId()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SingleSignOnSessionKey

    public SingleSignOnSessionKey(Session session)

- ## Method Details

  - ### getSessionId

    public String getSessionId()

  - ### getContextName

    public String getContextName()

  - ### getHostName

    public String getHostName()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`